Subject: Re: bug#59693: 29.0.50; treesitter in base buffer doesn't respond to modifications in indirect buffer correctly

From: Stefan Monnier <[email-masked]>
Date: Mon, 05 Dec 2022 22:57:23 -0500

> 1. Only allow base buffer to have parsers, no change is needed for insdel.c,

That's the option I recommend, and I that's what I understood Eli was
agreeing we do.

> treesit_record_change can find the base buffer and update its parsers. We
> can ask indirect buffers to use their base buffer’s parser. Unless the base
> buffer is narrowed, I think it will work fine. 

Exactly.  Code that uses this can `widen` as needed as well.

        Stefan